<p>
 Izvrsno! Vaše rješenje je točno. U nastavku je još jednom prikazan
 način na koji je zadatak trebalo riješiti.
</p>

<pre><code>library ieee;
use ieee.std_logic_1164.all;

ENTITY usporedba IS PORT (
 a, b: IN std_logic_vector(1 downto 0);
 f: OUT std_logic
);
END usporedba;

ARCHITECTURE strukturna OF usporedba IS
 SIGNAL ac, bc: std_logic_vector(1 downto 0);
 SIGNAL eq0c, eq1c: std_logic;
BEGIN
  ac &lt;= not a;
  bc &lt;= not b;

  c1: ENTITY work.aoi22 PORT MAP (a(0), b(0), ac(0), bc(0), eq0c);
  c2: ENTITY work.aoi22 PORT MAP (a(1), b(1), ac(1), bc(1), eq1c);
  c3: ENTITY work.aoi22 PORT MAP (eq0c, eq0c, eq1c, eq1c, f);
END strukturna;</code></pre>

